/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sikd.ikonsol.ejb.session;

import java.util.List;
import javax.ejb.Remote;
import sikd.ikonsol.model.ReferensiPemda;
import sikd.ikonsol.model.ReferensiWilayah;

/**
 *
 * @author Imam Bhoim
 */
@Remote
public interface RefPemdaEjbHome {

    public List<ReferensiPemda> findAll();
    
    public List<ReferensiPemda> findAllProvinsi(String id);

    public ReferensiPemda createNew();

    public ReferensiPemda save(ReferensiPemda obj);

    public ReferensiPemda findByKodeId(String kode);
    
       public ReferensiPemda findByKodeProv(String kode);

    public ReferensiPemda update(ReferensiPemda obj);
    
    public ReferensiPemda updateWilayah(ReferensiPemda obj);

    public void delete(String kode);
    
    public List<ReferensiPemda> findByKodeWilayahId(String kode);

    public List<ReferensiWilayah> findAllWilayah();

}
